Skip to content

Project​

Projects group assignments under a project number, e.g. the jobs of one building site. The number is unique within the company.


OpenAPI Spec​

GET
/v2/projects/spec

Get OpenAPI 3.1.0 spec for Project API

Responses​

Returns OpenAPI 3.1.0 spec for Project API

application/json
JSON
{
}

Playground​

Samples​


List Projects​

GET
/v2/projects

List Projects

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
uuid
number
externalId
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
  
"page": 0,
  
"pages": 0,
  
"size": 10,
  
"items": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"number": "string",
  
  
  
"externalId": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Create a new Project​

POST
/v2/projects

Create a new Project

Authorizations​

apiKey
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"uuid": "string",
  
"number": "string",
  
"externalId": null
}

Responses​

Project found

application/json
JSON
{
  
"uuid": "string",
  
"number": "string",
  
"externalId": "string",
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Body

Samples​


Get a Project​

GET
/v2/projects/{projectUuid}

Get a Project by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

projectUuid*
Type
string
Required
Format
"uuid"

Responses​

Project found

application/json
JSON
{
  
"uuid": "string",
  
"number": "string",
  
"externalId": "string",
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Delete a Project​

DELETE
/v2/projects/{projectUuid}

Delete a Project by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

projectUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully removed

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Update a Project​

PATCH
/v2/projects/{projectUuid}

Update a Project by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

projectUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"number": "string",
  
"externalId": "string"
}

Responses​

Project found

application/json
JSON
{
  
"uuid": "string",
  
"number": "string",
  
"externalId": "string",
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​